Imports System.Configuration
Imports System.IO

Namespace SocialCoding.FbAuth.Framework
	Public Class FbHelpers
		Private Shared ReadOnly CookieName As String = ConfigurationManager.AppSettings("fb_key")

		Public Shared Sub AccessTokenSave(ByVal response As HttpResponseBase, ByVal token As String)
			Dim cookie = New HttpCookie(CookieName, token) With {.Expires = Date.Now.AddDays(1)}
			response.AppendCookie(cookie)
		End Sub

		Public Shared Function AccessTokenRead(ByVal request As HttpRequestBase) As String
			Dim cookie = request.Cookies(CookieName)
			Return If(cookie IsNot Nothing, cookie.Value, Nothing)
		End Function

		Public Shared Sub AccessTokenDelete(ByVal request As HttpRequestBase)
			request.Cookies.Remove(CookieName)
		End Sub

		Public Shared Sub Post(ByVal token As String, ByVal status As String)
			Dim client = New FacebookClient(token)
			Dim result As Object = client.Post("/me/feed", New With {Key .message = status})
			Dim x = 0
		End Sub

        Public Shared Sub PostPicture(ByVal token As String, ByVal status As String, ByVal pathArg As String)
            Dim client = New FacebookClient(token)
            Using stream = File.OpenRead(pathArg)
                Dim result As Object = client.Post("me/photos", New With {Key .message = status, Key .file = New FacebookMediaStream With {.ContentType = "image/jpg", .FileName = Path.GetFileName(pathArg)}.SetValue(stream)})
            End Using
        End Sub
	End Class
End Namespace
